aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.SendRawEmail

Synopsis

- data SendRawEmail = SendRawEmail {
  - srmDestinations :: [EmailAddress]
  - srmRawMessage :: RawMessage
  - srmSource :: Maybe Sender
  }
- data SendRawEmailResponse = SendRawEmailResponse {
  - srmrMessageId :: Text
  }

# Documentation

data SendRawEmail Source #

Send a raw e-mail message.

Constructors

SendRawEmail |

Fields

- srmDestinations :: [EmailAddress]
- srmRawMessage :: RawMessage
- srmSource :: Maybe Sender

#### Instances

Instances details

SignQuery SendRawEmail Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ServiceConfiguration SendRawEmail |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration

Methods

signQuery :: SendRawEmail -> ServiceConfiguration SendRawEmail queryType -> SignatureData -> SignedQuery Source #

Show SendRawEmail Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods showsPrec :: Int -> SendRawEmail -> ShowS Source # show :: SendRawEmail -> String Source # showList :: [SendRawEmail] -> ShowS Source #
Eq SendRawEmail Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods (==) :: SendRawEmail -> SendRawEmail -> Bool Source # (/=) :: SendRawEmail -> SendRawEmail -> Bool Source #
Ord SendRawEmail Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Methods

compare :: SendRawEmail -> SendRawEmail -> Ordering Source #

(<) :: SendRawEmail -> SendRawEmail -> Bool Source #

(<=) :: SendRawEmail -> SendRawEmail -> Bool Source #

(>) :: SendRawEmail -> SendRawEmail -> Bool Source #

(>=) :: SendRawEmail -> SendRawEmail -> Bool Source #

max :: SendRawEmail -> SendRawEmail -> SendRawEmail Source #

min :: SendRawEmail -> SendRawEmail -> SendRawEmail Source #

ResponseConsumer SendRawEmail SendRawEmailResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ResponseMetadata SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata

Methods

responseConsumer :: Request -> SendRawEmail -> IORef (ResponseMetadata SendRawEmailResponse) -> HTTPResponseConsumer SendRawEmailResponse Source #

Transaction SendRawEmail SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
type ServiceConfiguration SendRawEmail Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration

data SendRawEmailResponse Source #

The response sent back by Amazon SES after a `SendRawEmail` command.

Constructors

SendRawEmailResponse |

Fields

- srmrMessageId :: Text

#### Instances

Instances details

AsMemoryResponse SendRawEmailResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type MemoryResponse SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse

Methods

loadToMemory :: SendRawEmailResponse -> ResourceT IO (MemoryResponse SendRawEmailResponse) Source #

Show SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods showsPrec :: Int -> SendRawEmailResponse -> ShowS Source # show :: SendRawEmailResponse -> String Source # showList :: [SendRawEmailResponse] -> ShowS Source #
Eq SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail Methods (==) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source # (/=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source #
Ord SendRawEmailResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Methods

compare :: SendRawEmailResponse -> SendRawEmailResponse -> Ordering Source #

(<) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source #

(<=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source #

(>) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source #

(>=) :: SendRawEmailResponse -> SendRawEmailResponse -> Bool Source #

max :: SendRawEmailResponse -> SendRawEmailResponse -> SendRawEmailResponse Source #

min :: SendRawEmailResponse -> SendRawEmailResponse -> SendRawEmailResponse Source #

ResponseConsumer SendRawEmail SendRawEmailResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type ResponseMetadata SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata

Methods

responseConsumer :: Request -> SendRawEmail -> IORef (ResponseMetadata SendRawEmailResponse) -> HTTPResponseConsumer SendRawEmailResponse Source #

Transaction SendRawEmail SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
type MemoryResponse SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse
type ResponseMetadata SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata